Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5103)
@@ -349,5 +349,4 @@
             reffclwc, cldnvi, lcc3d, lcc3dcon, lcc3dstra, icc3dcon, icc3dstra
     USE output_physiqex_mod, ONLY: output_physiqex
-    USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA
 
     IMPLICIT NONE
@@ -776,5 +775,5 @@
 
     !@$$      LOGICAL offline           ! Controle du stockage ds "physique"
-    !@$$      PARAMETER (offline=.false.)
+    !@$$      PARAMETER (offline=.FALSE.)
     !@$$      INTEGER physid
     REAL frac_impa(klon, klev) ! fractions d'aerosols lessivees (impaction)
@@ -1261,8 +1260,8 @@
     if (debut) then                                                        !
       iflag_physiq = 0
-      call getin_p('iflag_physiq', iflag_physiq)                          !
+      CALL getin_p('iflag_physiq', iflag_physiq)                          !
     endif                                                                  !
     if (iflag_physiq == 2) then                                          !
-      call physiqex (nlon, nlev, &                                         !
+      CALL physiqex (nlon, nlev, &                                         !
               debut, lafin, pdtphys_, &                                             !
               paprs, pplay, pphi, pphis, presnivs, &                                  !
@@ -1276,5 +1275,5 @@
     pi = 4. * ATAN(1.)
 
-    ! set-up call to alerte function
+    ! set-up CALL to alerte function
     call_alert = (alert_first_call .AND. is_master)
 
@@ -1365,5 +1364,5 @@
               CALL regr_horiz_time_climoz(read_climoz, ok_daily_climoz)
 
-      print*, '================================================='
+      PRINT*, '================================================='
 
       !CR: check sur le nb de traceurs de l eau
@@ -1448,5 +1447,5 @@
       WRITE(lunout, *) 'debut physiq_mod tau_gl=', tau_gl
       iflag_thermcell_tke = 0
-      call getin_p('iflag_thermcell_tke', iflag_thermcell_tke)                          !
+      CALL getin_p('iflag_thermcell_tke', iflag_thermcell_tke)                          !
 
       CALL getin_p('iflag_alp_wk_cond', iflag_alp_wk_cond)
@@ -1476,5 +1475,5 @@
       fl_cor_ebil = 0 ! by default, no correction to ensure energy conservation
       CALL getin_p('fl_cor_ebil', fl_cor_ebil)
-      iflag_phytrac = 1 ! by default we do want to call phytrac
+      iflag_phytrac = 1 ! by default we do want to CALL phytrac
       CALL getin_p('iflag_phytrac', iflag_phytrac)
 
@@ -1482,5 +1481,5 @@
       CALL getin_p('ok_water_mass_fixer', ok_water_mass_fixer)
       IF (CPPKEY_DUST) THEN
-        IF (iflag_phytrac.EQ.0) THEN
+        IF (iflag_phytrac==0) THEN
           WRITE(lunout, *) 'In order to run with SPLA, iflag_phytrac will be forced to 1'
           iflag_phytrac = 1
@@ -1514,5 +1513,5 @@
       !AI 08 2023
 #ifdef CPP_ECRAD
-       ok_3Deffect=.false.
+       ok_3Deffect=.FALSE.
        CALL getin_p('ok_3Deffect',ok_3Deffect)
        namelist_ecrad_file='namelist_ecrad'
@@ -1584,7 +1583,7 @@
       clwcon(:, :) = 0.0
 
-      print*, 'iflag_coupl,iflag_clos,iflag_wake', &
+      PRINT*, 'iflag_coupl,iflag_clos,iflag_wake', &
               iflag_coupl, iflag_clos, iflag_wake
-      print*, 'iflag_cycle_diurne', iflag_cycle_diurne
+      PRINT*, 'iflag_cycle_diurne', iflag_cycle_diurne
 
       IF (iflag_con==2.AND.iflag_cld_th>-1) THEN
@@ -1674,8 +1673,8 @@
         CLOSE(98)
         IF(nCFMIP>npCFMIP) THEN
-          print*, 'nCFMIP > npCFMIP : augmenter npCFMIP et recompiler'
+          PRINT*, 'nCFMIP > npCFMIP : augmenter npCFMIP et recompiler'
           CALL abort_physic("physiq", "", 1)
         ELSE
-          print*, 'physiq npCFMIP=', npCFMIP, 'nCFMIP=', nCFMIP
+          PRINT*, 'physiq npCFMIP=', npCFMIP, 'nCFMIP=', nCFMIP
         ENDIF
 
@@ -1708,8 +1707,7 @@
       ENDIF
 
-#ifdef CPP_IOIPSL
 
        !$OMP MASTER
-       ! FH : if ok_sync=.true. , the time axis is written at each time step
+       ! FH : if ok_sync=.TRUE. , the time axis is written at each time step
        ! in the output files. Only at the end in the opposite case
        ok_sync_omp=.FALSE.
@@ -1740,5 +1738,4 @@
       END IF
 
-#endif
       ecrit_reg = ecrit_reg * un_jour
       ecrit_tra = ecrit_tra * un_jour
@@ -1920,5 +1917,5 @@
       ENDIF
       !IM begin
-      print*, 'physiq: clwcon rnebcon ratqs', clwcon(1, 1), rnebcon(1, 1) &
+      PRINT*, 'physiq: clwcon rnebcon ratqs', clwcon(1, 1), rnebcon(1, 1) &
               , ratqs(1, 1)
       !IM end
@@ -1937,5 +1934,5 @@
       !               pdtphys
       !          abort_message='Pas physique n est pas correct '
-      !          !           call abort_physic(modname,abort_message,1)
+      !          !           CALL abort_physic(modname,abort_message,1)
       !          phys_tstep=pdtphys
       !       ENDIF
@@ -1997,5 +1994,5 @@
                   , alp_bl_prescr, ale_bl_prescr)
           ! 11/09/06 rajout initialisation ALE et ALP du wake et PBL(YU)
-          !        print*,'apres ini_wake iflag_cld_th=', iflag_cld_th
+          !        PRINT*,'apres ini_wake iflag_cld_th=', iflag_cld_th
 
           ! Initialize tendencies of wake state variables (for some flag values
@@ -2091,5 +2088,5 @@
         CALL bcast_omp(missing_val)
 
-        ! Now we activate some double radiation call flags only if some
+        ! Now we activate some double radiation CALL flags only if some
         ! diagnostics are requested, otherwise there is no point in doing this
         IF (is_master) THEN
@@ -2145,5 +2142,4 @@
 
       IF (ANY(type_trac == ['inca', 'inco'])) THEN ! ModThL
-        IF (CPPKEY_INCA) THEN
           CALL VTe(VTphysiq)
           CALL VTb(VTinca)
@@ -2151,5 +2147,5 @@
           WRITE(lunout, *) 'initial time chemini', days_elapsed, calday
 
-          call init_const_lmdz(&
+          CALL init_const_lmdz(&
                   ndays, nbsrf, is_oce, is_sic, is_ter, is_lic, calend, &
                   config_inca)
@@ -2221,5 +2217,4 @@
           CALL VTe(VTinca)
           CALL VTb(VTphysiq)
-        END IF
       ENDIF
 
@@ -2338,5 +2333,5 @@
 #ifdef REPROBUS
        CALL Init_chem_rep_xjour(jD_cur-jD_ref+day_ref)
-       print*,'xjour equivalent rjourvrai',jD_cur-jD_ref+day_ref
+       PRINT*,'xjour equivalent rjourvrai',jD_cur-jD_ref+day_ref
        CALL Rtime(debut)
 #endif
@@ -3056,5 +3051,5 @@
 
       IF (iflag_con==1) THEN
-        abort_message = 'reactiver le call conlmd dans physiq.F'
+        abort_message = 'reactiver le CALL conlmd dans physiq.F'
         CALL abort_physic (modname, abort_message, 1)
         !     CALL conlmd (phys_tstep, paprs, pplay, t_seri, q_seri, conv_q,
@@ -3105,5 +3100,5 @@
         ! Perform dry adiabatic adjustment on wake profile
         ! The corresponding tendencies are added to the convective tendencies
-        ! after the call to the convective scheme.
+        ! after the CALL to the convective scheme.
         IF (iflag_wake>=1) then
           IF (iflag_adjwk >= 1) THEN
@@ -3201,5 +3196,5 @@
 
           !IM begin
-          !       print*,'physiq: cin pbase dnwd0 ftd fqd ',cin(1),pbase(1),
+          !       PRINT*,'physiq: cin pbase dnwd0 ftd fqd ',cin(1),pbase(1),
           !    .dnwd0(1,1),ftd(1,1),fqd(1,1)
           !IM end
@@ -3210,5 +3205,5 @@
 
           !jyg<
-          ! If convective tendencies are too large, then call convection
+          ! If convective tendencies are too large, then CALL convection
           !  every time step
           cvpas = cvpas_0
@@ -3236,5 +3231,5 @@
           ENDDO
           !!!   Ligne a ne surtout pas remettre sans avoir murement reflechi (jyg)
-          !!!          call bcast(cvpas)
+          !!!          CALL bcast(cvpas)
           !!!   ------------------------------------------------------------
           !>jyg
@@ -3378,5 +3373,5 @@
     !!                     dqi0, paprs, 'convection_sat', abortphy, flag_inhib_tend,&
     !!                     itap, 1)
-    !!    call prt_enerbil('convection_sat',itap)
+    !!    CALL prt_enerbil('convection_sat',itap)
     !!
     !!
@@ -3685,5 +3680,5 @@
         ! FH : 2010/02/01
         if (iflag_thermcell_tke==1) then
-          call thermcell_dtke(klon, klev, nbsrf, pdtphys, fm_therm, entr_therm, rg, paprs, pbl_tke)
+          CALL thermcell_dtke(klon, klev, nbsrf, pdtphys, fm_therm, entr_therm, rg, paprs, pbl_tke)
         endif
         ! -------------------------------------------------------------------
@@ -3713,5 +3708,5 @@
         ENDIF
 
-        ! Attention : le call ajsec_convV2 n'est maintenu que momentanneement
+        ! Attention : le CALL ajsec_convV2 n'est maintenu que momentanneement
         ! pour des test de convergence numerique.
         ! Le nouveau ajsec est a priori mieux, meme pour le cas
@@ -3900,12 +3895,12 @@
     IF (iflag_cld_th<=-1) THEN ! seulement pour Tiedtke
       snow_tiedtke = 0.
-      !     print*,'avant calcul de la pseudo precip '
-      !     print*,'iflag_cld_th',iflag_cld_th
+      !     PRINT*,'avant calcul de la pseudo precip '
+      !     PRINT*,'iflag_cld_th',iflag_cld_th
       IF (iflag_cld_th==-1) THEN
         rain_tiedtke = rain_con
       ELSE
-        !       print*,'calcul de la pseudo precip '
+        !       PRINT*,'calcul de la pseudo precip '
         rain_tiedtke = 0.
-        !         print*,'calcul de la pseudo precip 0'
+        !         PRINT*,'calcul de la pseudo precip 0'
         DO k = 1, klev
           DO i = 1, klon
@@ -3918,5 +3913,5 @@
       ENDIF
 
-      !     call dump2d(iim,jjm,rain_tiedtke(2:klon-1),'PSEUDO PRECIP ')
+      !     CALL dump2d(iim,jjm,rain_tiedtke(2:klon-1),'PSEUDO PRECIP ')
 
       ! Nuages diagnostiques pour Tiedtke
@@ -4096,5 +4091,4 @@
 
     IF (ANY(type_trac == ['inca', 'inco'])) THEN ! ModThL
-      IF (CPPKEY_INCA) THEN
         CALL VTe(VTphysiq)
         CALL VTb(VTinca)
@@ -4149,5 +4143,4 @@
         CALL VTe(VTinca)
         CALL VTb(VTphysiq)
-      END IF
     ENDIF !type_trac = inca or inco
     IF (type_trac == 'repr') THEN
@@ -4352,5 +4345,5 @@
 
         !IM 251017 begin
-        !               print*,'physiq betaCRF global zdtime=',zdtime
+        !               PRINT*,'physiq betaCRF global zdtime=',zdtime
         !IM 251017 end
         DO k = 1, klev
@@ -4403,5 +4396,5 @@
       !lecture de la chlorophylle pour le nouvel albedo de Sunghye Baek
       IF (ok_chlorophyll) THEN
-        print*, "-- reading chlorophyll"
+        PRINT*, "-- reading chlorophyll"
         CALL readchlorophyll(debut)
       ENDIF
@@ -4433,5 +4426,4 @@
 
       IF (aerosol_couple.AND.config_inca=='aero') THEN
-        IF (CPPKEY_INCA) THEN
           CALL radlwsw_inca  &
                   (chemistry_couple, kdlon, kflev, dist, rmu0, fract, solaire, &
@@ -4453,5 +4445,4 @@
                   cldtaupirad, &
                   topswai_aero, solswai_aero)
-        END IF
       ELSE
 
@@ -4600,5 +4591,5 @@
 #ifdef CPP_ECRAD
           IF (ok_3Deffect) then
-!                print*,'ok_3Deffect = ',ok_3Deffect
+!                PRINT*,'ok_3Deffect = ',ok_3Deffect
                 namelist_ecrad_file='namelist_ecrad_s2'
                 CALL radlwsw &
@@ -4722,5 +4713,5 @@
 
     IF (prt_level >=10) THEN
-      print *, ' call orography ? ', ok_orodr
+      print *, ' CALL orography ? ', ok_orodr
     ENDIF
 
@@ -4989,5 +4980,5 @@
 
     IF (prt_level>=5) &
-            print*, 'addtkeoro', addtkeoro
+            PRINT*, 'addtkeoro', addtkeoro
 
     alphatkeoro = 1.
@@ -5090,8 +5081,8 @@
 
           IF (prt_level .GE.10) THEN
-             print*,'freq_cosp',freq_cosp
+             PRINT*,'freq_cosp',freq_cosp
           ENDIF
           mr_ozone=wo(:, :, 1) * dobson_u * 1e3 / zmasse
-          !       print*,'Dans physiq.F avant appel cosp ref_liq,ref_ice=',
+          !       PRINT*,'Dans physiq.F avant appel cosp ref_liq,ref_ice=',
           !     s        ref_liq,ref_ice
           CALL phys_cosp(itap,phys_tstep,freq_cosp, &
@@ -5121,8 +5112,8 @@
 
           IF (prt_level .GE.10) THEN
-             print*,'freq_cosp',freq_cosp
+             PRINT*,'freq_cosp',freq_cosp
           ENDIF
           mr_ozone=wo(:, :, 1) * dobson_u * 1e3 / zmasse
-                 print*,'Dans physiq.F avant appel '
+                 PRINT*,'Dans physiq.F avant appel '
           !     s        ref_liq,ref_ice
           CALL phys_cosp2(itap,phys_tstep,freq_cosp, &
@@ -5146,5 +5137,5 @@
 
           IF (prt_level .GE.10) THEN
-             print*,'freq_cosp',freq_cosp
+             PRINT*,'freq_cosp',freq_cosp
           ENDIF
            DO k = 1, klev
@@ -5154,5 +5145,5 @@
            ENDDO
           mr_ozone=wo(:, :, 1) * dobson_u * 1e3 / zmasse
-                 print*,'Dans physiq.F avant appel '
+                 PRINT*,'Dans physiq.F avant appel '
           !     s        ref_liq,ref_ice
           CALL lmdz_cosp_interface(itap,phys_tstep,freq_cosp, &
@@ -5267,5 +5258,5 @@
 
 
-          print*,'avt add phys rep',abortphy
+          PRINT*,'avt add phys rep',abortphy
 
      CALL add_phys_tend &
@@ -5274,5 +5265,5 @@
         IF (abortphy==1) Print*,'ERROR ABORT REP'
 
-          print*,'apr add phys rep',abortphy
+          PRINT*,'apr add phys rep',abortphy
 
 #endif
@@ -5285,5 +5276,5 @@
 
       IF (prt_level>=9) &
-              print*, 'Attention on met a 0 les thermiques pour phystoke'
+              PRINT*, 'Attention on met a 0 les thermiques pour phystoke'
       CALL phystokenc (&
               nlon, klev, pdtphys, longitude_deg, latitude_deg, &
@@ -5423,5 +5414,4 @@
 
     IF (ANY(type_trac == ['inca', 'inco'])) THEN
-      IF (CPPKEY_INCA) THEN
         CALL VTe(VTphysiq)
         CALL VTb(VTinca)
@@ -5443,5 +5433,4 @@
         CALL VTe(VTinca)
         CALL VTb(VTphysiq)
-      END IF
     ENDIF
 
@@ -5591,5 +5580,4 @@
     !   Ecriture des sorties
     !=============================================================
-#ifdef CPP_IOIPSL
 
     ! Recupere des varibles calcule dans differents modules
@@ -5651,8 +5639,7 @@
     END IF
 
-#endif
     ! Petit appelle de sorties pour accompagner le travail sur phyex
     if (iflag_physiq == 1) then
-      call output_physiqex(debut, jD_eq, pdtphys, presnivs, paprs, u, v, t, qx, cldfra, 0. * t, 0. * t, 0. * t, pbl_tke, theta)
+      CALL output_physiqex(debut, jD_eq, pdtphys, presnivs, paprs, u, v, t, qx, cldfra, 0. * t, 0. * t, 0. * t, pbl_tke, theta)
     endif
 
@@ -5695,10 +5682,8 @@
       IF (using_xios) THEN
 
-        IF (CPPKEY_INCA) THEN
           IF (type_trac == 'inca') THEN
             IF (is_omp_master .AND. grid_type==unstructured) THEN
               CALL finalize_inca
             ENDIF
-          ENDIF
         END IF
 
@@ -5710,5 +5695,5 @@
     ENDIF
 
-    !      first=.false.
+    !      first=.FALSE.
 
   END SUBROUTINE physiq
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiqex_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiqex_mod.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiqex_mod.F90	(revision 5103)
@@ -28,6 +28,6 @@
       integer,intent(in) :: nlon ! number of atmospheric colums
       integer,intent(in) :: nlev ! number of vertical levels (should be =klev)
-      logical,intent(in) :: debut ! signals first call to physics
-      logical,intent(in) :: lafin ! signals last call to physics
+      logical,intent(in) :: debut ! signals first CALL to physics
+      logical,intent(in) :: lafin ! signals last CALL to physics
       real,intent(in) :: pdtphys ! physics time step (s)
       real,intent(in) :: paprs(klon,klev+1) ! interlayer pressure (Pa)
@@ -59,5 +59,5 @@
 real :: temp_newton(klon,klev)
 integer :: k
-logical, save :: first=.true.
+logical, save :: first=.TRUE.
 !$OMP THREADPRIVATE(first)
 
@@ -74,12 +74,12 @@
 !------------------------------------------------------------
 
-print*,'Debut physiqex',debut
+PRINT*,'Debut physiqex',debut
 ! initializations
-if (debut) then ! Things to do only for the first call to physics 
-print*,'Debut physiqex IN'
+IF (debut) then ! Things to do only for the first CALL to physics
+PRINT*,'Debut physiqex IN'
 
 ! load initial conditions for physics (including the grid)
-  call phys_state_var_init(1) ! some initializations, required before calling phyetat0
-  call phyetat0("startphy.nc", clesphy0, tabcntr0)
+  CALL phys_state_var_init(1) ! some initializations, required before calling phyetat0
+  CALL phyetat0("startphy.nc", clesphy0, tabcntr0)
 
 ! Initialize outputs:
@@ -87,5 +87,5 @@
   ! compute zjulian for annee0=1979 and month=1 dayref=1 and hour=0.0
   !CALL ymds2ju(annee0, month, dayref, hour, zjulian)
-  call ymds2ju(1979, 1, 1, 0.0, zjulian)
+  CALL ymds2ju(1979, 1, 1, 0.0, zjulian)
 
 #ifndef CPP_IOIPSL_NO_OUTPUT
@@ -93,5 +93,5 @@
 #endif
 
-endif ! of if (debut)
+END IF ! of if (debut)
 
 !------------------------------------------------------------
@@ -116,8 +116,8 @@
 d_v(1:klon,1)=-v(1:klon,1)/86400.
 ! newtonian relaxation towards temp_newton()
-do k=1,klev
+DO k=1,klev
   temp_newton(1:klon,k)=280.+cos(latitude(1:klon))*40.-pphi(1:klon,k)/rg*6.e-3
   d_t(1:klon,k)=(temp_newton(1:klon,k)-t(1:klon,k))/1.e5
-enddo
+END DO
 
 
@@ -127,14 +127,14 @@
 
 
-call output_physiqex(debut,zjulian,pdtphys,presnivs,paprs,u,v,t,qx,0.*t,0.*t,0.*t,0.*t,0.*t,0.*t)
+CALL output_physiqex(debut,zjulian,pdtphys,presnivs,paprs,u,v,t,qx,0.*t,0.*t,0.*t,0.*t,0.*t,0.*t)
 
 
 ! if lastcall, then it is time to write "restartphy.nc" file
-if (lafin) then
-  call phyredem("restartphy.nc")
-endif
+IF (lafin) then
+  CALL phyredem("restartphy.nc")
+END IF
 
 
-end subroutine physiqex
+END SUBROUTINE  physiqex
 
 END MODULE physiqex_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phytrac_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phytrac_mod.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phytrac_mod.F90	(revision 5103)
@@ -426,11 +426,11 @@
       !$OMP MASTER
       convscav_omp = .FALSE.
-      call getin('convscav', convscav_omp)
+      CALL getin('convscav', convscav_omp)
       iflag_vdf_trac_omp = 1
-      call getin('iflag_vdf_trac', iflag_vdf_trac_omp)
+      CALL getin('iflag_vdf_trac', iflag_vdf_trac_omp)
       iflag_con_trac_omp = 1
-      call getin('iflag_con_trac', iflag_con_trac_omp)
+      CALL getin('iflag_con_trac', iflag_con_trac_omp)
       iflag_the_trac_omp = 1
-      call getin('iflag_the_trac', iflag_the_trac_omp)
+      CALL getin('iflag_the_trac', iflag_the_trac_omp)
       !$OMP END MASTER
       !$OMP BARRIER
@@ -449,11 +449,11 @@
       !$OMP MASTER
       iflag_lscav_omp = 1
-      call getin('iflag_lscav', iflag_lscav_omp)
+      CALL getin('iflag_lscav', iflag_lscav_omp)
       ccntrAA_omp = 1
       ccntrENV_omp = 1.
       coefcoli_omp = 0.001
-      call getin('ccntrAA', ccntrAA_omp)
-      call getin('ccntrENV', ccntrENV_omp)
-      call getin('coefcoli', coefcoli_omp)
+      CALL getin('ccntrAA', ccntrAA_omp)
+      CALL getin('ccntrENV', ccntrENV_omp)
+      CALL getin('coefcoli', coefcoli_omp)
       !$OMP END MASTER
       !$OMP BARRIER
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/plevel.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/plevel.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/plevel.F90	(revision 5103)
@@ -9,7 +9,5 @@
   USE netcdf, ONLY: nf90_fill_real
   USE dimphy
-#ifdef CPP_IOIPSL 
-  USE phys_state_var_mod, ONLY: missing_val_nf90 
-#endif
+  USE phys_state_var_mod, ONLY: missing_val_nf90
   USE wxios, ONLY: missing_val_xios => missing_val, using_xios
   IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/plevel_new.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/plevel_new.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/plevel_new.F90	(revision 5103)
@@ -9,7 +9,5 @@
   ! ================================================================
   USE dimphy
-#ifdef CPP_IOIPSL 
   USE phys_state_var_mod, ONLY: missing_val_nf90
-#endif
   USE wxios, ONLY: missing_val_xios=>missing_val, using_xios
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90	(revision 5103)
@@ -14,5 +14,5 @@
 contains
 
-  subroutine press_coefoz
+  SUBROUTINE press_coefoz
 
     ! This procedure is called once per "gcm" run.
@@ -40,18 +40,18 @@
 
     if (is_mpi_root) then
-       call nf95_open("coefoz_LMDZ.nc", nf90_nowrite, ncid)
+       CALL nf95_open("coefoz_LMDZ.nc", nf90_nowrite, ncid)
 
-       call nf95_inq_varid(ncid, "plev", varid)
-       call nf95_gw_var(ncid, varid, plev)
+       CALL nf95_inq_varid(ncid, "plev", varid)
+       CALL nf95_gw_var(ncid, varid, plev)
        ! Convert from hPa to Pa because "paprs" and "pplay" are in Pa:
        plev = plev * 100.
        n_plev = size(plev)
 
-       call nf95_close(ncid)
+       CALL nf95_close(ncid)
     end if
 
-    call bcast_mpi(n_plev)
+    CALL bcast_mpi(n_plev)
     if (.not. is_mpi_root) allocate(plev(n_plev))
-    call bcast_mpi(plev)
+    CALL bcast_mpi(plev)
     
     ! Compute edges of pressure intervals:
@@ -67,8 +67,8 @@
        ! surface pressure would do)
     end if
-    call bcast_mpi(press_in_edg)
+    CALL bcast_mpi(press_in_edg)
     !$omp end single
 
-  end subroutine press_coefoz
+  END SUBROUTINE  press_coefoz
 
 end module press_coefoz_m
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/print_debug_phys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/print_debug_phys.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/print_debug_phys.F90	(revision 5103)
@@ -11,6 +11,6 @@
 integer k
 
-print*,'PLANTAGE POUR LE POINT i=',i,text
-print*,'l    u, v, T, q, ql'
+PRINT*,'PLANTAGE POUR LE POINT i=',i,text
+PRINT*,'l    u, v, T, q, ql'
 DO k = 1, klev
    write(*,'(i3,2f8.4,3f14.4,2e14.2)') k,longitude_deg(i),latitude_deg(i), &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/radio_decay.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/radio_decay.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/radio_decay.F90	(revision 5103)
@@ -18,6 +18,6 @@
 ! Entrees
 
-  LOGICAL,DIMENSION(nbtr),INTENT(IN)        :: radio ! .true. = traceur radioactif  
-  LOGICAL,INTENT(IN)                        :: rnpb  ! .true. = decroissance RN = source PB
+  LOGICAL,DIMENSION(nbtr),INTENT(IN)        :: radio ! .TRUE. = traceur radioactif
+  LOGICAL,INTENT(IN)                        :: rnpb  ! .TRUE. = decroissance RN = source PB
   REAL,INTENT(IN)                           :: dtime ! Pas de temps physique (secondes)
   REAL,DIMENSION(nbtr),INTENT(IN)           :: tautr ! Constante de decroissance radioactive
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90	(revision 5103)
@@ -215,5 +215,5 @@
     LOGICAL, INTENT(in)  :: ok_volcan                                      ! produce volcanic diags (SW/LW heat flux and rate)
     INTEGER, INTENT(in)  :: flag_volc_surfstrat                            ! allow to impose volcanic cooling rate at surf or heating in strato
-    LOGICAL              :: lldebug=.false.
+    LOGICAL              :: lldebug=.FALSE.
     INTEGER, INTENT(in)  :: flag_aerosol                                   ! takes value 0 (no aerosol) or 1 to 6 (aerosols)
     INTEGER, INTENT(in)  :: flag_aerosol_strat                             ! use stratospheric aerosols
@@ -349,5 +349,5 @@
     REAL(KIND=8) seuilmach
     ! AI 10 mars 22 : Pour les tests Offline
-    logical   :: lldebug_for_offline = .false.
+    logical   :: lldebug_for_offline = .FALSE.
     REAL(KIND=8) solaire_off(klon), &
          ZCO2_off(klon,klev), &
@@ -480,7 +480,7 @@
     ! =========  INITIALISATIONS ==============================================
     IF (lldebug) THEN
-       print*,'Entree dans radlwsw '
-       print*,'************* INITIALISATIONS *****************************'
-       print*,'klon, kdlon, klev, kflev =',klon, kdlon, klev, kflev
+       PRINT*,'Entree dans radlwsw '
+       PRINT*,'************* INITIALISATIONS *****************************'
+       PRINT*,'klon, kdlon, klev, kflev =',klon, kdlon, klev, kflev
     ENDIF
 
@@ -537,9 +537,9 @@
     IF (nb_gr*kdlon /= KLON) THEN
        PRINT*, "kdlon mauvais:", KLON, kdlon, nb_gr
-       call abort_physic("radlwsw", "", 1)
+       CALL abort_physic("radlwsw", "", 1)
     ENDIF
     IF (kflev /= KLEV) THEN
        PRINT*, "kflev differe de KLEV, kflev, KLEV"
-       call abort_physic("radlwsw", "", 1)
+       CALL abort_physic("radlwsw", "", 1)
     ENDIF
     !-------------------------------------------
@@ -563,5 +563,5 @@
        IF (iflag_rrtm==0) THEN
           IF (ok_SUNTIME) PSCT = solaireTIME/zdist/zdist
-          print*,'Constante solaire: ',PSCT*zdist*zdist
+          PRINT*,'Constante solaire: ',PSCT*zdist*zdist
        ENDIF
 #endif
@@ -569,5 +569,5 @@
 
     IF (lldebug) THEN
-       print*,'************** Debut boucle de 1 a ', nb_gr
+       PRINT*,'************** Debut boucle de 1 a ', nb_gr
     ENDIF
 
@@ -1126,5 +1126,5 @@
              zsollwdown(i)= -1.*ZFLDN(i,1)
           ENDDO
-          !     print*,'OK2'
+          !     PRINT*,'OK2'
 
           !--add VOLMIP (surf cool or strat heat activate)
@@ -1160,11 +1160,11 @@
 #else
           abort_message="You should compile with -rrtm if running with iflag_rrtm=1"
-          call abort_physic(modname, abort_message, 1)
+          CALL abort_physic(modname, abort_message, 1)
 #endif
           !======================================================================
           ! AI fev 2021
        ELSE IF(iflag_rrtm == 2) THEN
-          print*,'Traitement cas iflag_rrtm = ',iflag_rrtm
-          !    print*,'Mise a zero des flux '
+          PRINT*,'Traitement cas iflag_rrtm = ',iflag_rrtm
+          !    PRINT*,'Mise a zero des flux '
 #ifdef CPP_ECRAD
           DO k = 1, kflev+1
@@ -1244,5 +1244,5 @@
 
           ! On met les donnees dans l'ordre des niveaux ecrad
-          !         print*,'On inverse sur la verticale '
+          !         PRINT*,'On inverse sur la verticale '
           paprs_i(:,1)=paprs(:,klev+1)
           DO k=1,klev
@@ -1357,5 +1357,5 @@
 
           if (namelist_ecrad_file.eq.'namelist_ecrad') then 
-             print*,' 1er apell Ecrad : ok_3Deffect, namelist_ecrad_file = ', &
+             PRINT*,' 1er apell Ecrad : ok_3Deffect, namelist_ecrad_file = ', &
                   ok_3Deffect, namelist_ecrad_file    
              CALL RADIATION_SCHEME &
@@ -1401,5 +1401,5 @@
    cloud_cover_sw)
           else
-             print*,' 2e apell Ecrad : ok_3Deffect, namelist_ecrad_file = ', &
+             PRINT*,' 2e apell Ecrad : ok_3Deffect, namelist_ecrad_file = ', &
                   ok_3Deffect, namelist_ecrad_file       
              CALL RADIATION_SCHEME_S2 &
@@ -1471,6 +1471,6 @@
           ! avec l ancien rayonnement AR4. Si nuit, fract=0 donc pas de 
           ! rayonnement SW. (MPL 260609)
-          print*,'On retablit l ordre des niveaux verticaux pour LMDZ'
-          print*,'On multiplie les flux SW par fract et LW dwn par -1'
+          PRINT*,'On retablit l ordre des niveaux verticaux pour LMDZ'
+          PRINT*,'On multiplie les flux SW par fract et LW dwn par -1'
           DO k=0,klev
              DO i=1,klon
@@ -1566,5 +1566,5 @@
           ENDDO
 #endif  
-          print*,'Fin traitement ECRAD'
+          PRINT*,'Fin traitement ECRAD'
           ! Fin ECRAD
        ENDIF        ! iflag_rrtm
@@ -1677,34 +1677,34 @@
        if (0==1) then
           ! Verifs dans le cas 1D
-          print*,'================== Sortie de radlw ================='
-          print*,'******** LW LW LW *******************'
-          print*,'ZLWFT =',ZLWFT
-          print*,'ZLWFT0_i =',ZLWFT0_i
-          print*,'ZFLUP0 =',ZFLUP0
-          print*,'ZFLDN0 =',ZFLDN0
-          print*,'ZFLDNC0 =',ZFLDNC0
-          print*,'ZFLUPC0 =',ZFLUPC0
-
-          print*,'******** SW SW SW *******************'
-          print*,'ZSWFT =',ZSWFT
-          print*,'ZSWFT0_i =',ZSWFT0_i
-          print*,'ZFSDN =',ZFSDN
-          print*,'ZFSDN0 =',ZFSDN0
-          print*,'ZFSDNC0 =',ZFSDNC0
-          print*,'ZFSUP =',ZFSUP
-          print*,'ZFSUP0 =',ZFSUP0
-          print*,'ZFSUPC0 =',ZFSUPC0
-
-          print*,'******** LMDZ  *******************'
-          print*,'cool = ', cool
-          print*,'heat = ', heat
-          print*,'topsw = ', topsw
-          print*,'toplw = ', toplw
-          print*,'sollw = ', sollw
-          print*,'solsw = ', solsw
-          print*,'lwdn = ', lwdn
-          print*,'lwup = ', lwup
-          print*,'swdn = ', swdn
-          print*,'swup =', swup
+          PRINT*,'================== Sortie de radlw ================='
+          PRINT*,'******** LW LW LW *******************'
+          PRINT*,'ZLWFT =',ZLWFT
+          PRINT*,'ZLWFT0_i =',ZLWFT0_i
+          PRINT*,'ZFLUP0 =',ZFLUP0
+          PRINT*,'ZFLDN0 =',ZFLDN0
+          PRINT*,'ZFLDNC0 =',ZFLDNC0
+          PRINT*,'ZFLUPC0 =',ZFLUPC0
+
+          PRINT*,'******** SW SW SW *******************'
+          PRINT*,'ZSWFT =',ZSWFT
+          PRINT*,'ZSWFT0_i =',ZSWFT0_i
+          PRINT*,'ZFSDN =',ZFSDN
+          PRINT*,'ZFSDN0 =',ZFSDN0
+          PRINT*,'ZFSDNC0 =',ZFSDNC0
+          PRINT*,'ZFSUP =',ZFSUP
+          PRINT*,'ZFSUP0 =',ZFSUP0
+          PRINT*,'ZFSUPC0 =',ZFSUPC0
+
+          PRINT*,'******** LMDZ  *******************'
+          PRINT*,'cool = ', cool
+          PRINT*,'heat = ', heat
+          PRINT*,'topsw = ', topsw
+          PRINT*,'toplw = ', toplw
+          PRINT*,'sollw = ', sollw
+          PRINT*,'solsw = ', solsw
+          PRINT*,'lwdn = ', lwdn
+          PRINT*,'lwup = ', lwup
+          PRINT*,'swdn = ', swdn
+          PRINT*,'swup =', swup
        endif
     ENDIF
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/read_pstoke0.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/read_pstoke0.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/read_pstoke0.F90	(revision 5103)
@@ -336,6 +336,6 @@
     status = nf90_get_var(ncidp, varidch, coefh2, start, count)
     CALL gr_ecrit_fi(kev, kon, nbp_lon, nbp_lat, coefh2, coefh)
-    ! call dump2d(iip1,jjp1,coefh2(1,2),'COEFH2READ   ')
-    ! call dump2d(iim ,jjm ,coefh (2,2),'COEFH2READ   ')
+    ! CALL dump2d(iip1,jjp1,coefh2(1,2),'COEFH2READ   ')
+    ! CALL dump2d(iim ,jjm ,coefh (2,2),'COEFH2READ   ')
 
     ! **** Flux ascendants et entrant dans le thermique
@@ -400,10 +400,10 @@
     ! psrf1
     status = nf90_get_var(ncidp, varidpsr1, psrf12, start, count)
-    ! call dump2d(iip1-1,jjm+1,psrf12,'PSRF1NC')
+    ! CALL dump2d(iip1-1,jjm+1,psrf12,'PSRF1NC')
     CALL gr_ecrit_fi(1, kon, nbp_lon, nbp_lat, psrf12, psrf1)
 
     ! psrf2
     status = nf90_get_var(ncidp, varidpsr2, psrf22, start, count)
-    ! call dump2d(iip1-1,jjm+1,psrf22,'PSRF2NC')
+    ! CALL dump2d(iip1-1,jjm+1,psrf22,'PSRF2NC')
     CALL gr_ecrit_fi(1, kon, nbp_lon, nbp_lat, psrf22, psrf2)
 
@@ -422,5 +422,5 @@
       psrf(i, 3) = psrf3(i)
       ! test abderr
-      ! print*,'Dans read_pstoke psrf3 =',psrf3(i),i
+      ! PRINT*,'Dans read_pstoke psrf3 =',psrf3(i),i
       psrf(i, 4) = psrf4(i)
 
